var newMessReqHTTP,contactReqHTTP,newContactReqHTTP ;




//------------------------------------------------------//
//-------- Fonction affichage de tous les messages -----//
//------------------------------------------------------//
function affichageListe(login,password,terrier){

	url  = '../annonce/gestionAnnonce.php?action=1&login='+login+'&password='+password+'&terrier='+terrier;
	newMessReqHTTP = chargerXMLDocMessagerie(url,rafraichissement);

}
function deposer(login,password,terrier){
	
	url  = '../annonce/gestionAnnonce.php?action=2&login='+login+'&password='+password+'&terrier='+terrier;
	newMessReqHTTP = chargerXMLDocMessagerie(url,rafraichissement);
}
//------------------------------------------------------//
//--------      Fonction qui "rafraichit"         ------//
//------------------------------------------------------//
function rafraichissement() {

	try {
	// seulement si requete terminee et statut OK
	if (newMessReqHTTP.readyState == 4 && newMessReqHTTP.status == 200) {
		
		// insertion du code XHTML genere par le PHP
		document.getElementById('affichage').innerHTML = newMessReqHTTP.responseText;
	}
	else
		 document.getElementById('affichage').innerHTML = "erreur";
	} catch (error){ 
	 //document.getElementById('affichage').innerHTML = "erreurC";
	 //
	 }	
}

//------------------------------------------------------//
//--------    Fonction qui affiche une annonce    ------//
//------------------------------------------------------//
function getAnnonce(id){
newMessReqHTTP ="";
	url  = '../annonce/gestionAnnonce.php?action=3&id='+id;
	newMessReqHTTP = chargerXMLDocMessagerie(url, rafraichissement);
}

